<html>
<head>
<title>OGRE: OgreRenderWindow.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreRenderWindow.h</h1><a href="OgreRenderWindow_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*-------------------------------------------------------------------------</span>
<a name="l00002"></a>00002 <span class="comment">This source file is a part of OGRE</span>
<a name="l00003"></a>00003 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00004"></a>00004 <span class="comment"></span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2006 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Also see acknowledgements in Readme.html</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">This library is free software; you can redistribute it and/or modify it</span>
<a name="l00011"></a>00011 <span class="comment">under the terms of the GNU Lesser General Public License (LGPL) as </span>
<a name="l00012"></a>00012 <span class="comment">published by the Free Software Foundation; either version 2.1 of the </span>
<a name="l00013"></a>00013 <span class="comment">License, or (at your option) any later version.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">This library is distributed in the hope that it will be useful, but </span>
<a name="l00016"></a>00016 <span class="comment">WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY </span>
<a name="l00017"></a>00017 <span class="comment">or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public </span>
<a name="l00018"></a>00018 <span class="comment">License for more details.</span>
<a name="l00019"></a>00019 <span class="comment"></span>
<a name="l00020"></a>00020 <span class="comment">You should have received a copy of the GNU Lesser General Public License </span>
<a name="l00021"></a>00021 <span class="comment">along with this library; if not, write to the Free Software Foundation, </span>
<a name="l00022"></a>00022 <span class="comment">Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA or go to</span>
<a name="l00023"></a>00023 <span class="comment">http://www.gnu.org/copyleft/lesser.txt</span>
<a name="l00024"></a>00024 <span class="comment">-------------------------------------------------------------------------*/</span>
<a name="l00025"></a>00025 <span class="preprocessor">#ifndef __RenderWindow_H__</span>
<a name="l00026"></a>00026 <span class="preprocessor"></span><span class="preprocessor">#define __RenderWindow_H__</span>
<a name="l00027"></a>00027 <span class="preprocessor"></span>
<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>"</span>
<a name="l00029"></a>00029 
<a name="l00030"></a>00030 <span class="preprocessor">#include "<a class="code" href="OgreRenderTarget_8h.html">OgreRenderTarget.h</a>"</span>
<a name="l00031"></a>00031 
<a name="l00032"></a>00032 <span class="keyword">namespace </span>Ogre
<a name="l00033"></a>00033 {
<a name="l00055"></a><a class="code" href="classOgre_1_1RenderWindow.html">00055</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1RenderTarget.html" title="A &amp;#39;canvas&amp;#39; which can receive the results of a rendering operation.">RenderTarget</a>
<a name="l00056"></a>00056     {
<a name="l00057"></a>00057 
<a name="l00058"></a>00058     <span class="keyword">public</span>:
<a name="l00061"></a>00061         <a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>();
<a name="l00062"></a>00062 
<a name="l00086"></a>00086         <span class="keyword">virtual</span> <span class="keywordtype">void</span> create(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height,
<a name="l00087"></a>00087                 <span class="keywordtype">bool</span> fullScreen, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6" title="Name / value parameter pair (first = name, second = value).">NameValuePairList</a> *miscParams) = 0;
<a name="l00088"></a>00088 
<a name="l00096"></a><a class="code" href="classOgre_1_1RenderWindow.html#86eb81eb4c91ed40d1c509163bcd7264">00096</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setFullscreen(<span class="keywordtype">bool</span> fullScreen, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height) {}
<a name="l00097"></a>00097         
<a name="l00100"></a>00100         <span class="keyword">virtual</span> <span class="keywordtype">void</span> destroy(<span class="keywordtype">void</span>) = 0;
<a name="l00101"></a>00101 
<a name="l00104"></a>00104         <span class="keyword">virtual</span> <span class="keywordtype">void</span> resize(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height) = 0;
<a name="l00105"></a>00105 
<a name="l00110"></a><a class="code" href="classOgre_1_1RenderWindow.html#756b752e30cad1f8f71b69c86bc2f6f2">00110</a>     <span class="keyword">virtual</span> <span class="keywordtype">void</span> windowMovedOrResized() {}
<a name="l00111"></a>00111 
<a name="l00114"></a>00114         <span class="keyword">virtual</span> <span class="keywordtype">void</span> reposition(<span class="keywordtype">int</span> left, <span class="keywordtype">int</span> top) = 0;
<a name="l00115"></a>00115 
<a name="l00118"></a><a class="code" href="classOgre_1_1RenderWindow.html#ea281fb3b8079104ea9fa9fbafa4355a">00118</a>         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isVisible(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="keyword">true</span>; }
<a name="l00119"></a>00119 
<a name="l00122"></a><a class="code" href="classOgre_1_1RenderWindow.html#f9153ad94900ca36534f25537b35a9cd">00122</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setVisible(<span class="keywordtype">bool</span> visible) {}
<a name="l00123"></a>00123 
<a name="l00126"></a><a class="code" href="classOgre_1_1RenderWindow.html#a1d3f404a67e4fed5734d953063e6e04">00126</a>         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isActive(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mActive &amp;&amp; isVisible(); }
<a name="l00127"></a>00127 
<a name="l00130"></a>00130         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isClosed(<span class="keywordtype">void</span>) <span class="keyword">const</span> = 0;
<a name="l00131"></a>00131         
<a name="l00138"></a>00138         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isPrimary(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00139"></a>00139 
<a name="l00160"></a>00160         <span class="keyword">virtual</span> <span class="keywordtype">void</span> swapBuffers(<span class="keywordtype">bool</span> waitForVSync = <span class="keyword">true</span>) = 0;
<a name="l00161"></a>00161 
<a name="l00163"></a>00163         <span class="keyword">virtual</span> <span class="keywordtype">void</span> update(<span class="keywordtype">void</span>);
<a name="l00178"></a>00178         <span class="keyword">virtual</span> <span class="keywordtype">void</span> update(<span class="keywordtype">bool</span> swapBuffers);
<a name="l00179"></a>00179 
<a name="l00182"></a>00182         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isFullScreen(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00183"></a>00183 
<a name="l00187"></a>00187         <span class="keyword">virtual</span> <span class="keywordtype">void</span> getMetrics(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>&amp; width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>&amp; height, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>&amp; colourDepth, 
<a name="l00188"></a>00188             <span class="keywordtype">int</span>&amp; left, <span class="keywordtype">int</span>&amp; top);
<a name="l00189"></a>00189 
<a name="l00190"></a>00190     <span class="keyword">protected</span>:
<a name="l00191"></a><a class="code" href="classOgre_1_1RenderWindow.html#913cdbf34559401ae8d58e30fd0dbcd1">00191</a>         <span class="keywordtype">bool</span> mIsFullScreen;
<a name="l00192"></a><a class="code" href="classOgre_1_1RenderWindow.html#1386d0701cb71090dcd6fbe816f4145f">00192</a>         <span class="keywordtype">bool</span> mIsPrimary;
<a name="l00193"></a><a class="code" href="classOgre_1_1RenderWindow.html#c6bd29e3557a02f515b9db1283870bce">00193</a>         <span class="keywordtype">int</span> mLeft;
<a name="l00194"></a><a class="code" href="classOgre_1_1RenderWindow.html#e819f96d06f38386d36b6d4d0959b1da">00194</a>         <span class="keywordtype">int</span> mTop;
<a name="l00195"></a>00195         
<a name="l00199"></a><a class="code" href="classOgre_1_1RenderWindow.html#c2b8244df3d531c59bbbe475aacc6c07">00199</a>         <span class="keywordtype">void</span> _setPrimary() { mIsPrimary = <span class="keyword">true</span>; }
<a name="l00200"></a>00200         
<a name="l00201"></a><a class="code" href="classOgre_1_1RenderWindow.html#4966338964dbcd90cba2a6b4bd1b3521">00201</a>         <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classOgre_1_1Root.html" title="The root class of the Ogre system.">Root</a>;
<a name="l00202"></a>00202     };
<a name="l00203"></a>00203 
<a name="l00210"></a><a class="code" href="namespaceOgre.html#27242aa4c73de81dba6f81577293dba7">00210</a>     <span class="keyword">typedef</span> void (*<a class="code" href="namespaceOgre.html#27242aa4c73de81dba6f81577293dba7" title="Defines the interface a DLL implemeting a platform-specific version must implement...">DLL_CREATERENDERWINDOW</a>)(<a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>** ppWindow);
<a name="l00211"></a>00211 
<a name="l00212"></a>00212 } <span class="comment">// Namespace</span>
<a name="l00213"></a>00213 <span class="preprocessor">#endif</span>
</pre></div><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:55 2008
</p>
</body>
</html>
